StreamCharBuffer.StreamCharBufferEncodedAppender (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StreamCharBufferEncodedAppender

- org.grails.buffer.StreamCharBuffer.StreamCharBufferEncodedAppender

-     private static final class StreamCharBuffer.StreamCharBufferEncodedAppender
      extends AbstractEncodedAppender

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `StreamCharBufferWriter` | `writer` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractEncodedAppender` | `ignoreEncodingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamCharBufferEncodedAppender (StreamCharBufferWriter writer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public StreamCharBufferWriter` | `getWriter()`
    `` | `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`

- - ### Field Detail

    - #### StreamCharBufferWriter writer

  - ### Constructor Detail

    - #### StreamCharBufferEncodedAppender(StreamCharBufferWriter writer)

  - ### Method Detail

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)

    - #### public void close()

    - #### @java.lang.Override public void flush()

    - #### public StreamCharBufferWriter getWriter()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)